<?php

class GravityView_Importer_Admin_Notices {

	private static $admin_notices = array();

	private static $_instance = NULL;

	public static function instance() {
		if ( ! ( self::$_instance instanceof self ) ) {
			self::$_instance = new self();
		}

		return self::$_instance;
	}


	function __construct() {

		add_action( 'admin_notices', array( $this, 'admin_notice' ), 100 );

	}

	/**
	 * Outputs the admin notices generated by the plugin
	 *
	 * @return void
	 */
	function admin_notice() {

		if ( empty( self::$admin_notices ) ) {
			return;
		}

		foreach ( self::$admin_notices as $key => $notice ) {

			echo '<div id="message" class="' . esc_attr( $notice['class'] ) . '">';
			echo wpautop( $notice['message'] );
			echo '<div class="clear"></div>';
			echo '</div>';
		}

		//reset the notices handler
		self::$admin_notices = array();
	}

	/**
	 * Add a notice to be displayed in the admin.
	 *
	 * @param array $notice Array with `class` and `message` keys. The message is not escaped.
	 */
	public static function add_notice( $notice = array() ) {

		if ( is_array( $notice ) && ! isset( $notice['message'] ) ) {
			return;
		} else if ( is_string( $notice ) ) {
			$notice = array( 'message' => $notice );
		}

		$notice['class'] = empty( $notice['class'] ) ? 'error' : $notice['class'];

		self::$admin_notices[] = $notice;
	}

}